<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="css/main.css">
    <title>GSAP</title>
</head>
<body>
    <h1>Elektronica - ICT</h1>
    <button id="cta">watch here</button>

    <div class="panel">
        <img src="images/odisee.png" id="logo">
        <p>Making JS animations in the course of Web & Mobile Basics is very cool!</p>
        <div class="box"></div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.5.1/gsap.min.js"></script>

    <script>
    
        document.getElementById('cta').addEventListener('click', function() {
            gsap.to('.panel', 1.5, {scaleY: 1, height:'100vh', ease: Circ.easeOut });
            gsap.to('#logo', 1, {opacity: 1, y: 0, delay: 1, ease: Back.easeOut.config(1.7)});
            gsap.to('p', 1, {opacity: 1, y: 20, delay: 1.4});
            gsap.to('.box', 3, {opacity: 1, scale: 1, ease: Elastic.easeOut.config(1, 0.3)});
        })
    
    </script>
</body>
</html>